﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using Abt.Controls.SciChart.Visuals.RenderableSeries;

namespace WpfApplication1
{
    class TestPaletteProvider:IPaletteProvider
    {
        private bool _isVisible;

        public bool IsVisible
        {
            get { return _isVisible; }
            set { _isVisible = value; }
        }

        public Color? GetColor(IRenderableSeries series, double xValue, double yValue)
        {
            if(_isVisible)
                if (xValue < 1000 || xValue > 1500) return Colors.Transparent;
            return series.SeriesColor;
        }


        public Color? OverrideColor(IRenderableSeries series, double xValue, double openValue, double highValue, double lowValue,
            double closeValue)
        {
            throw new NotImplementedException();
        }

        public Color? OverrideColor(IRenderableSeries series, double xValue, double yValue, double zValue)
        {
            throw new NotImplementedException();
        }
    }
}
